# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rakko/version'

Gem::Specification.new do |spec|
  spec.name          = 'rakko'
  spec.version       = Rakko::VERSION
  spec.authors       = ['Takanori Ishikawa']
  spec.email         = ['takanori.ishikawa@gmail.com']

  spec.summary       = %q{A toy language.}
  spec.description   = %q{Writing my own homebrew toy programming language to learn about compiler construction.}
  spec.homepage      = 'https://github.com/ishikawa/rakko'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.required_ruby_version = '>= 2.4.0'

  spec.add_development_dependency 'bundler', '~> 1.13'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'minitest', '~> 5.0'
  spec.add_development_dependency 'minitest-spec-context', '~> 0.0.3'
  spec.add_development_dependency 'yard', '~> 0.9.5'
end
